> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/update-subscribed-plan-input.md).

# UpdateSubscribedPlanInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### id ([ID](/graphql-api/api-reference/objects/id.md))

The ID of the SubscribedPlan to update.

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md))

The ID of the subscription to update the subscribed plan for.

#### nextBillingDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The new date at which the next billing cycle will occur.

#### planId ([ID](/graphql-api/api-reference/objects/id.md))

The new plan associated the subscription should change to.

#### billingCycleIntervalUnit ([BillingCycleIntervalUnit](/graphql-api/api-reference/objects/billing-cycle-interval-unit.md))

The unit of the interval the billing cycle runs

#### billingCycleInterval ([Int](/graphql-api/api-reference/objects/int.md))

The interval at which the billing cycle runs according to the unit set in billingCycleIntervalUnit.

#### customRecurringAmountCents ([Int](/graphql-api/api-reference/objects/int.md))

A custom recurring amount different from the default plan price.

#### customInitialAmountCents ([Int](/graphql-api/api-reference/objects/int.md))

A custom initial amount different from the default plan initial amount

#### trialPeriodUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))

The interval defining trial period length according to the unit set in trialPeriodIntervalUnit.

#### trialPeriodPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The unit of the interval defining the trial period length set in trialPeriodInterval

#### maximumCommitmentUnit ([MaximumCommitmentUnit](/graphql-api/api-reference/objects/maximum-commitment-unit.md))

The unit of the interval for maximum commitment terms

#### maximumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The period interval for maximum commitment terms

#### maximumCommitmentEndsAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The date at which the maximum commitment ends

#### minimumCommitmentUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))

The unit of the interval for minimum commitment terms

#### minimumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The period interval for minimum commitment terms

#### minimumCommitmentEndsAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The date at which the minimum commitment ends

#### graceCancellationEndsAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The date at which the grace cancellation period ends


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/update-subscribed-plan-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
